SortMerge
Keywords: javax.help.SortMerge class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class SortMerge

    java.lang.Object
      javax.help.Merge
          javax.help.SortMerge

public class SortMerge
extends Merge

Sort merge type

Nested Class Summary

Nested classes inherited from class javax.help.Merge
`Merge.DefaultMergeFactory`

Constructor Summary
`SortMerge(NavigatorView master, NavigatorView slave)` Constructs SortMerge

Method Summary
`static void` | `mergeNodeChildren(javax.swing.tree.TreeNode node)` Merge Node Children.
`static void` | `mergeNodes(javax.swing.tree.TreeNode master, javax.swing.tree.TreeNode slave)` Merge Nodes.
`javax.swing.tree.TreeNode` | `processMerge(javax.swing.tree.TreeNode node)` Processes sort merge
`static void` | `sortNode(javax.swing.tree.DefaultMutableTreeNode node, java.util.Locale locale)` Sorts children of node using Array.sort

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortMerge

    public SortMerge(NavigatorView master,
                     NavigatorView slave)

  Constructs SortMerge

Parameters:
  `master` - The master NavigatorView
  `slave` - The slave NavigatorView

Method Detail

### processMerge

    public javax.swing.tree.TreeNode processMerge(javax.swing.tree.TreeNode node)

  Processes sort merge

  Specified by:
    `processMerge` in class `Merge`
  Parameters:
    `node` - The master node (This node must be sorted)
  Returns:
    Merged master node

### mergeNodes

    public static void mergeNodes(javax.swing.tree.TreeNode master,
                                  javax.swing.tree.TreeNode slave)

  Merge Nodes. Merge two nodes according to the Sort merging rules

### mergeNodeChildren

    public static void mergeNodeChildren(javax.swing.tree.TreeNode node)

  Merge Node Children. Merge the children of a node according to the Sort merging rules.

  Parameters:
    `node` - The parent node from which the children are merged

### sortNode

    public static void sortNode(javax.swing.tree.DefaultMutableTreeNode node,
                                java.util.Locale locale)

  Sorts children of node using Array.sort

  Parameters:
    `node` - The node to sort
    `locale` - The locale
  Returns:
    Sorted node

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD